#!/usr/bin/perl

### EDIT Y offset and expt offset below ##########

$spec_offset = 1;  	#skip expt offset in y 
$yinc=0.00;		#plot offset in why for stack plots

#### NOTHING TO EDIT BELOW HERE ##################

if($#ARGV < 0)
{
   $prgName = `basename $0`;
   chop($prgName);
   die <<EOHELP;

Program reads in 2d.txt file from kinetics expts. ie 1Ds separated by and "&"
and creates stacked plots for xmgr/xmgrace
-also scales each 1D to its maximum Y-values

Usage: $prgName 2d.txt > output.file 
EOHELP
}

$file = $ARGV[0];
$count=0;
$spectrum=0;
open(IN, $file) || die "Can't open file $file.\n";
while(<IN>)
{
   next if /^#/;
   @value = split;

   $x[$count][$spectrum] = $value[0];
   $y[$count][$spectrum] = $value[1];

   $numList[$count][$spectrum] = $int;

   if($value[1] > $max[$spectrum]){$max[$spectrum] = $value[1];}
   if($count==0){$max[$spectrum] = $value[1];}
   $count++;
   if($value[0] eq '&'){ $spectrum++; $cnt_max=$count-1; $count=0; $spec_cnt++}
}
close(VALFILE);

for ($c=0; $c <= $spec_cnt; $c=$c+$spec_offset){
	for ($d=0 ; $d < $cnt_max; $d++){
		$yscale= $y[$d][$c]/$max[$c] + $yinc*$c;
		#$yscale= $y[$d][$c]/1e6 + $yinc*$c;
  		 printf("%4.3f\t %4.3f\t\n", $x[$d][$c], $yscale);  #plot ppm
	}
print "&\n";
}

exit;

